FROM python:3.8-slim

ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1
RUN apt-get update && apt-get install
RUN apt-get install -y libasound2-dev
RUN apt-get install -y libjack-dev
RUN apt-get install -y build-essential
RUN apt-get install -y libsndfile1-dev
RUN apt-get install -y portaudio19-dev
RUN apt-get install -y python3-pyaudio
RUN apt-get install -y python-pyaudio
RUN apt-get install -y libportmidi-dev
RUN apt-get install -y liblo-dev
RUN apt-get install -y ffmpeg
RUN apt-get install -y espeak
WORKDIR /code
RUN pip install --upgrade pip setuptools
COPY requirements.txt /code
RUN pip install -r /code/requirements.txt
COPY . /code
